Bug 1093968 - [abrt] vbindiff: ConWindow::putAttribs(): vbindiff killed by SIGSEGV
Summary: [abrt] vbindiff: ConWindow::putAttribs(): vbindiff killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vbindiff
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3148685205397fe325381c8f5d4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-04 01:50 UTC by David Timms
Modified: 2015-08-27 23:49 UTC (History)
4 users (show)

Fixed In Version: 3.0-0.13.beta4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-27 18:29:31 UTC


Attachments (Terms of Use)
File: backtrace (5.42 KB, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: cgroup (172 bytes, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: core_backtrace (1.60 KB, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: dso_list (866 bytes, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: environ (3.03 KB, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: maps (4.26 KB, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: open_fds (339 bytes, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: proc_pid_status (971 bytes, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File: var_log_messages (332 bytes, text/plain)
2014-05-04 01:50 UTC, David Timms
no flags Details
File used in reproducer (133.78 KB, application/octet-stream)
2014-06-20 12:03 UTC, Jaroslav Škarvada
no flags Details

Description David Timms 2014-05-04 01:50:15 UTC
Description of problem:
comparing a pair of large files.
used the keyboard commands t, b, end etc, maybe faster than the app could process them.

Version-Release number of selected component:
vbindiff-3.0-0.9.beta4.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        vbindiff 'How I Met Your Mother.2014_04_28.b_1_1.mpg' 'How I Met Your Mother.2014_04_28.b_1_2.mpg'
crash_function: ConWindow::putAttribs
executable:     /usr/bin/vbindiff
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 ConWindow::putAttribs at curses/ConWin.cpp:202
 #1 FileDisplay::display at vbindiff.cpp:499
 #2 handleCmd at vbindiff.cpp:1719

Potential duplicate: bug 984325

Comment 1 David Timms 2014-05-04 01:50:19 UTC
Created attachment 892221 [details]
File: backtrace

Comment 2 David Timms 2014-05-04 01:50:21 UTC
Created attachment 892222 [details]
File: cgroup

Comment 3 David Timms 2014-05-04 01:50:23 UTC
Created attachment 892223 [details]
File: core_backtrace

Comment 4 David Timms 2014-05-04 01:50:25 UTC
Created attachment 892224 [details]
File: dso_list

Comment 5 David Timms 2014-05-04 01:50:27 UTC
Created attachment 892225 [details]
File: environ

Comment 6 David Timms 2014-05-04 01:50:30 UTC
Created attachment 892226 [details]
File: exploitable

Comment 7 David Timms 2014-05-04 01:50:32 UTC
Created attachment 892227 [details]
File: limits

Comment 8 David Timms 2014-05-04 01:50:34 UTC
Created attachment 892228 [details]
File: maps

Comment 9 David Timms 2014-05-04 01:50:36 UTC
Created attachment 892229 [details]
File: open_fds

Comment 10 David Timms 2014-05-04 01:50:37 UTC
Created attachment 892230 [details]
File: proc_pid_status

Comment 11 David Timms 2014-05-04 01:50:39 UTC
Created attachment 892231 [details]
File: var_log_messages

Comment 12 David Timms 2014-06-14 04:59:27 UTC
Another user experienced a similar problem:

Comparing 2 similar mp3 files. (ffmpeg has re-written the headers, but with acodec:copy so body(music) is the same.
T move top,u/d/l/r
B move bottom, u/d/l/r
(this aligned the binary contents which are shifted after the mp4 headers (different length), but otherwise identical (mp3 content).
page down a few times.
end.

Top file showing position= 2480, bottom=25D6
I think this might have tried to seek in the shorter file past it's length... just guessing.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        vbindiff alex_lloyd.10.lucky_star.mp3 alex_lloyd.10.lucky_starb.mp3
crash_function: ConWindow::putAttribs
executable:     /usr/bin/vbindiff
kernel:         3.14.6-200.fc20.x86_64
package:        vbindiff-3.0-0.9.beta4.fc20
reason:         vbindiff killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Jaroslav Škarvada 2014-06-20 11:51:57 UTC
Another user experienced a similar problem:

Comparing binary files:
1. vbindiff DIR1/FILE1 DIR2/FILE2
2. Enter several times to get to the end
3. Scrolling few lines up
4. T to get to the top
5. Enter

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        vbindiff 32/Hamlib.pyc 64/Hamlib.pyc
crash_function: ConWindow::putAttribs
executable:     /usr/bin/vbindiff
kernel:         3.14.5-200.mst.fc20.x86_64
package:        vbindiff-3.0-0.9.beta4.fc20
reason:         vbindiff killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Jaroslav Škarvada 2014-06-20 11:54:45 UTC
Both files were the same size.

Comment 15 Jaroslav Škarvada 2014-06-20 12:03:00 UTC
Created attachment 910765 [details]
File used in reproducer

Reproducer:
$ vbindiff Hamlib.pyc Hamlib.pyc

1. T
2. Enter
3. T
4. Page Up

Comment 16 Fedora End Of Life 2015-05-29 11:45:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2015-05-30 13:27:48 UTC
vbindiff-3.0-0.13.beta4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/vbindiff-3.0-0.13.beta4.fc21

Comment 18 Fedora Update System 2015-05-30 13:27:54 UTC
vbindiff-3.0-0.13.beta4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/vbindiff-3.0-0.13.beta4.fc22

Comment 19 Fedora Update System 2015-06-01 17:05:36 UTC
Package vbindiff-3.0-0.13.beta4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vbindiff-3.0-0.13.beta4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9265/vbindiff-3.0-0.13.beta4.fc22
then log in and leave karma (feedback).

Comment 20 David Timms 2015-06-29 13:24:58 UTC
I've left positive karma on the above URL.

Comment 21 Fedora Update System 2015-08-27 18:29:29 UTC
vbindiff-3.0-0.13.beta4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-08-27 23:49:34 UTC
vbindiff-3.0-0.13.beta4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.